我将(conventional commits与赫斯基包一起使用,以确保提交名称在我的Angular前端应用程序中遵循正确的格式。如何在Microsoft net core解决方案中对此进行设置,而我需要package.json这个工作吗?
答案 0 :(得分:1)
您可以直接从命令行使用 dotnet 工具并通过 NuGet 包添加到项目中。
使用版本化: Nuget Package, source of Versionize
.. 或者为 pre-commit 或 post-commit 钩子设置一个触发器,用你自己的
在隐藏的 .git/hooks
中,您可以创建自己的 commit-msg 以使用正则表达式强制执行常规提交消息。
这可能是提交消息文件中的 bash 脚本:
#!/usr/bin/env bash
if ! head -1 "$1" | grep -qE "^(feat|fix|ci|chore|docs|test|style|refactor)(\(.+?\))?: .{1,}$"; then
echo "Aborting commit. Your commit message is invalid." >&2
exit 1
fi
if ! head -1 "$1" | grep -qE "^.{1,50}$"; then
echo "Aborting commit. Your commit message is too long." >&2
exit 1
fi
您可以在 MSBuild 项目复制任务上自动执行消息提交的副本。
<Target Name="CopyCustomContent" AfterTargets="AfterBuild">
<ItemGroup>
<_CustomFiles Include="..\automation\commit-msg" />
</ItemGroup>
<Copy SourceFiles="@(_CustomFiles)" DestinationFolder="./../.git/hooks" />
</Target>